
<template>
  <div class="main-content-wrap d-flex flex-column secondsidenav-closed"
  :class="{'sidenav-open':isSidebarOpen}">

      <div class="layout">
        <sidebar-chat-list></sidebar-chat-list>

        <chat-content></chat-content>
        <search-list v-show="chatSidebar"></search-list>

      </div>

    <!-- </div> -->
  </div>
</template>
<script>
import ChatList from "./sidebar/ChatList";
import SidebarNav from "./sidebar/Navigation";
import SearchList from "./sidebar/SearchList";
import ChatContent from "./content/ChatContent";
import EventBus from "@/EventBus.js";

export default {
  components: {
    "sidebar-navigation": SidebarNav,
    "sidebar-chat-list": ChatList,
    "search-list": SearchList,
    "chat-content": ChatContent
  },
  data(){
      return{
          chatSidebar:false
      }
  },
  mounted(){
    EventBus.$on("toggleChatSidebar", value => {
      this.chatSidebar= !this.chatSidebar
    });
    EventBus.$on("closeChatSidebar", value => {
      this.chatSidebar= false
    });
  },
  beforeDestroy () {
    this.$store.commit('chat/RESET_SELECTED_ROOM')
  }
};
</script>

<style lang="scss" scoped>
.layout{
    background: white
}
</style>


